> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available VAT rates for an organization based on VAT mode



## OpenAPI

````yaml openapi/findity-admin-api.json GET /organizations/{organizationId}/vatsettings/{vatMode}
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /organizations/{organizationId}/vatsettings/{vatMode}:
    get:
      tags:
        - VAT
      summary: Get available VAT rates for an organization based on VAT mode
      operationId: getVatSettings
      parameters:
        - $ref: '#/components/parameters/vatOrganizationId'
        - $ref: '#/components/parameters/vatMode'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VatSettings'
        '404':
          description: Organization not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
components:
  parameters:
    vatOrganizationId:
      in: path
      name: organizationId
      required: true
      description: The organization ID
      schema:
        type: string
      example: ff8080819c5664d9019c56706bc30008
    vatMode:
      in: path
      name: vatMode
      required: true
      description: The VAT mode to retrieve tax rates for
      schema:
        type: string
        enum:
          - NO_VAT
          - SINGLE_VAT
          - MULTI_VAT
      example: SINGLE_VAT
  schemas:
    VatSettings:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: integer
              description: Total number of VAT rates
            count:
              type: integer
              description: Number of VAT rates returned
        data:
          type: array
          items:
            $ref: '#/components/schemas/CompanyTaxRate'
      example:
        meta:
          total: 2
          count: 2
        data:
          - taxRateId: ff8080819c5664d9019c56706bc30008
            rate: 25
            companyTaxRateId: ff8080819c5664d9019c56706bc30009
            salaryCodeId: ff8080819c5664d9019c56706bc3000a
            accountingNumberId: null
          - taxRateId: ff8080819c5664d9019c56706bc3000c
            rate: 12
            companyTaxRateId: null
            salaryCodeId: null
            accountingNumberId: null
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
      example:
        result: error
        code: ORGANIZATION_NOT_FOUND
        description: 'Failed to get organization for id: {orgId}'
    CompanyTaxRate:
      type: object
      properties:
        taxRateId:
          type: string
          description: ID of the VAT rate
        rate:
          type: number
          format: double
          description: VAT rate percentage
        companyTaxRateId:
          type: string
          nullable: true
          description: ID of the company VAT rate mapping (null if not yet mapped)
        salaryCodeId:
          type: string
          nullable: true
          description: ID of the salary code (null if not yet mapped)
        accountingNumberId:
          type: string
          nullable: true
          description: ID of the accounting number (null if not yet mapped)
      example:
        taxRateId: ff8080819c5664d9019c56706bc30008
        rate: 25
        companyTaxRateId: ff8080819c5664d9019c56706bc30009
        salaryCodeId: ff8080819c5664d9019c56706bc3000a
        accountingNumberId: ff8080819c5664d9019c56706bc3000b
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````